package com.hotent.base.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @Author: Cola
 * @Date: 2021/08/19/9:08
 * @Description: 该注解用于对外接口的声明
 *
 **/
@Target({ElementType.METHOD,ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
public @interface OpenApi {
    /**
     *  是否开启该注解的功能
     */
    boolean open() default true;

    /**
     *  该controller所在的类的模块名称
     */
    String moduleName() default "";

    /**
     * 该controller所在类的主体功能
     */
    String function() default "";

    /**
     *  接口（方法）的描述
     */
    String description() default "";
}
